const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const reel_comments = sequelize.define(
    'reel_comments',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

body: {
        type: DataTypes.TEXT,
      
      

      },

commented_at: {
        type: DataTypes.DATE,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  reel_comments.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity





























//end loop



    db.reel_comments.belongsTo(db.reels, {
      as: 'reel',
      foreignKey: {
        name: 'reelId',
      },
      constraints: false,
    });

    db.reel_comments.belongsTo(db.users, {
      as: 'author',
      foreignKey: {
        name: 'authorId',
      },
      constraints: false,
    });

    db.reel_comments.belongsTo(db.reel_comments, {
      as: 'parent_comment',
      foreignKey: {
        name: 'parent_commentId',
      },
      constraints: false,
    });




    db.reel_comments.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.reel_comments.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return reel_comments;
};


